summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorDaniel Hartwig <mandyke@gmail.com>2015-08-11 19:56:31 +0200
committerDavid Kalnischkies <david@kalnischkies.de>2015-08-12 11:55:47 +0200
commitad42ed4698c88e04bc242fb579f5b3e6fd9a0ee4 (patch)
tree1cf72b388c126122790cb496c68db022f3ca4fee /test
parent35bf76cf3035761c8721e51250bbeb5f4facf8ee (diff)
replace direct calls to egrep with grep -E
The rest of the initial patch is not needed or incorrect in our usage. Big changes for the dselect scripts seem unneeded as well as those are hardly used by anyone anymore… [commit message written by commiter] Closes: 255577 Thanks: David Weinehall for initial patch
Diffstat (limited to 'test')
-rwxr-xr-xtest/integration/test-apt-download-progress2
1 files changed, 1 insertions, 1 deletions
diff --git a/test/integration/test-apt-download-progress b/test/integration/test-apt-download-progress
index 7caeca971..bf6a412ad 100755
--- a/test/integration/test-apt-download-progress
+++ b/test/integration/test-apt-download-progress
@@ -13,7 +13,7 @@ changetohttpswebserver
assertprogress() {
T="$1"
testsuccess grep "dlstatus:1:0:Retrieving file 1 of 1" "$T"
- if ! egrep -q "dlstatus:1:[1-9][0-9](\..*)?:Retrieving file 1 of 1" "$T"; then
+ if ! grep -E -q "dlstatus:1:[1-9][0-9](\..*)?:Retrieving file 1 of 1" "$T"; then
cat "$T"
msgfail "Failed to detect download progress"
fi